/* Some defaults */
body { font-size: 8pt; }
td {padding: 0 0.2em;}

/**
* One day browsers will support page numbers on the 
* printout, and this is what it will look like.
*/
div.report {
  display:block;
  counter-reset: page 0;
}
@ page {
  @bottom { content:counter(page); }
}

/* The table surrounding the report. */
table.ledger       {
  page-break-after: always;
  border-collapse:collapse;
  align:center;
  margin-left: 3em;
  padding-left: 3em;
}

/* The body containing a section of the report. */
tbody.Income      { border-left:thin solid green; background-color:#e0ffe0;}
tbody.Expenses    { border-left:thin solid red; background-color:#fff4e0;}
tbody.Assets      { border-left:thin solid green; background-color:#e0ffe0;}
tbody.Liabilities { border-left:thin solid red; background-color:#fff4e0;}
tbody.Equity      { border-left:thin solid blue; background-color:#e0e0ff;}

/* The various fields in the page header */
thead .companyname  { font-size: 140%; font-weight: bold; text-align: center; padding: 0.3em 0; }
thead .reportheader { font-size: 125%; font-weight: bold; text-align: center;padding: 0.1em 0;  }
thead .perioddisplay{ font-size: 120%; font-weight: bold; text-align: center; }
thead .afterheader  { height:1em; }

/* Pre header (report-section) rows */
tr.title-L0        { }
td.title-L0        { padding-top:0.3em; margin-top:0.3em; font-weight:bold; font-size:120%;}

/* header (report section) rows */
tr.ledger-row-L0   { font-weight: bold; font-size:120%; background-color:#c0f0c0;}
tbody.Expenses tr.ledger-row-L0, tbody.Liabilities tr.ledger-row-L0 {
  background-color:#f0c0c0;
}
tbody.Equity tr.ledger-row-L0 {
  background-color:#c0c0f0;
}
td.amount-L0       { text-align: right; }

/* After header (report-section) rows */
tr.after-L0        { }
td.after-L0        { height: 2em; border-left: none;}

/* Pre header (accountgroup) rows */
tr.title-L1        { }
td.title-L1        { padding-left:2.5em;padding-top:0.3em; margin-top: 0.3em; font-weight: bold; }

/* header (accountgroup) rows */
tr.ledger-row-L1   { font-weight: bold; background-color:#d0f8d0;}
tbody.Liabilities tr.ledger-row-L1, tbody.Expenses tr.ledger-row-L1 {
  background-color:#f8d0d0;
}
tbody.Equity tr.ledger-row-L1 {
  background-color:#d0d0f8;
}
td.description-L1  { padding-left: 2.5em; width:35em;}
td.amount-L1       { text-align: right; padding-right:6em; width:15em;}

/* After header (accountgroup) rows */
tr.after-L1        { }
td.after-L1        { height: 1em;}

/* Detail rows */
tr.ledger-row-L2   { }
td.description-L2  { padding-left: 5em;}
td.amount-L2       { text-align: right; padding-right: 12em; }

span.positive { padding-right:0.33em; }

/**
* On screen we display a horizontal rule, and of course on the
* printout we have a realio, trulio page break!
*/
@media screen {
  hr.pagebreak {
    width: 46em;
    height: 2px;
    background-color: orange;
    margin:1em 9em;
    border: none;
    position: center;
  }
}
@media print {
  hr.pagebreak {
    page-break-before: always;
    display: none;
  }
  tbody.Expenses, tbody.Assets, tbody.Liabilities, tbody.Income, tbody.Equity {
    border-left:none;
  }
}

